
public class MySet <T> {

    MyArrayList <T> mySet;

    public MySet() {
        mySet = new MyArrayList<>();
    }

    public MySet(T [] array) {
        this.mySet = new MyArrayList<>(array);
    }

    public T get(int index) {
        return mySet.get(index);
    }

    public void add(T elementToAdd) {
        if(!mySet.contains(elementToAdd)) {
            mySet.add(elementToAdd);
        }
    }

    public void clear() {
        this.mySet.clear();
    }

    public boolean isEmpty() {
        return this.mySet.isEmpty();
    }

    public boolean contains(T elementToCheck) {
        return this.mySet.contains(elementToCheck);
    }

    public int size() {
        return mySet.size();
    }

//    public int size() {
//        return this.mySet.size();
//    }

}

