import org.junit.Assert;
import org.junit.Test;

public class MySetTest {

    @Test
    public void addTest() {
        //given
        Integer [] numbers = {1, 2, 3};
        MySet <Integer> mySet = new MySet<Integer>(numbers);
        int expected = 3;
        //when
        mySet.add(1);
        mySet.add(1);
        int actual = mySet.size();
        //then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void getTest() {
        //given
        Integer [] numbers = {1, 2, 3};
        MySet <Integer> mySet = new MySet<>(numbers);
        mySet.add(1);
        mySet.add(2);
        mySet.add(4);
        int expected = 4;
        //when
        int actual = mySet.get(3);
        //then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void clearTest() {
        //given
        Integer [] numbers = {1, 2, 3};
        MySet<Integer> mySet = new MySet<>(numbers);
        //when
        mySet.clear();
        //then
        

    }

    @Test
    public void isEmptyTest() {
    }

    @Test
    public void containsTest() {
    }

    @Test
    public void sizeTest() {
        //given
        String [] wordies = {"I", "almost", "threw", "my", "computer", "out", "the", "window"};
        MySet<String> wordsSet = new MySet<>(wordies);
        wordsSet.add("but");
        wordsSet.add("nah");
        int expected = 10;
        //when
        int actual = wordsSet.size();
        //then
        Assert.assertEquals(expected, actual);
    }



}